[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.AddOnActionUpdateHandler

Adds the specified routine to the list of ahtActionUpdate handlers for the application.

## Declaration

Source position: forms.pp line 1687

`public procedure TApplication.AddOnActionUpdateHandler(`
`Handler: TActionEvent;`
`AsFirst: Boolean = True`
`);`

## Arguments

`Handler` |  | Handler routine added or inserted in the list of handlers for the type.
`AsFirst` |  | True if the handler routine is inserted as the first entry in the handler list. False if the routine is appended to the end of the list.

## Version info

Added in LCL version 3.0.